SDL_SetScancodeName(3)

NAME
SDL_SetScancodeName - Set a human-readable name for a scancode.

SYNOPSIS
#include <SDL3/SDL_keyboard.h>

bool SDL_SetScancodeName(SDL_Scancode scancode, const char *name);

FUNCTION PARAMETERS

scancode
    the desired SDL_Scancode.

name
    the name to use for the scancode, encoded as UTF-8. The string is not copied, so the pointer given to this function must stay valid while SDL is being used.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetScancodeName(3)